libzypp: zyppng::AsyncQueueWatch Class Reference

libzypp 17.38.13

zyppng::AsyncQueueWatch Class Reference

`#include <zypp-core/ng/thread/asyncqueue.h>`

Inheritance diagram for zyppng::AsyncQueueWatch:

## Public Member Functions
| ~AsyncQueueWatch () override
void | postNotifyEvent ()
SignalProxy< void()> | sigMessageAvailable ()
void | onFdReady (int fd, int events) override
void | onSignal (int signal) override
Public Member Functions inherited from zyppng::AbstractEventSource
| AbstractEventSource ()
| AbstractEventSource (AbstractEventSourcePrivate &dd)
| ~AbstractEventSource () override
std::weak_ptr< EventDispatcher > | eventDispatcher () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
void | setData (uint32_t quark, zypp::AutoDispose< void * > data)
void * | data (uint32_t quark)
void | clearData (uint32_t quark)

## Static Public Member Functions
static std::shared_ptr< AsyncQueueWatch > | create (std::shared_ptr< AsyncQueueBase > queue)
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Protected Member Functions
| AsyncQueueWatch (std::shared_ptr< AsyncQueueBase > &&queue)
| AsyncQueueWatch (AsyncQueueWatchPrivate &dd)
Protected Member Functions inherited from zyppng::AbstractEventSource
void | updateFdWatch (int fd, int mode)
void | removeFdWatch (int fd)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)

## Additional Inherited Members
Public Types inherited from zyppng::AbstractEventSource
enum | EventTypes { Read = 0x01 , Write = 0x02 , Exception = 0x04 , Error = 0x08 }
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

Definition at line 147 of file asyncqueue.h.

## Constructor & Destructor Documentation

## ◆ ~AsyncQueueWatch()

zyppng::AsyncQueueWatch::~AsyncQueueWatch | ( |  | ) |
| override

Definition at line 70 of file asyncqueue.cc.

## ◆ AsyncQueueWatch() [1/2]

zyppng::AsyncQueueWatch::AsyncQueueWatch | ( | std::shared_ptr< AsyncQueueBase > && | queue | ) |
| protected

## ◆ AsyncQueueWatch() [2/2]

zyppng::AsyncQueueWatch::AsyncQueueWatch | ( | AsyncQueueWatchPrivate & | dd | ) |
| protected

Definition at line 57 of file asyncqueue.cc.

## Member Function Documentation

## ◆ create()

std::shared_ptr< AsyncQueueWatch > zyppng::AsyncQueueWatch::create | ( | std::shared_ptr< AsyncQueueBase > | queue | ) |
| static

Definition at line 61 of file asyncqueue.cc.

## ◆ postNotifyEvent()

void zyppng::AsyncQueueWatch::postNotifyEvent | ( |  | ) |

Definition at line 78 of file asyncqueue.cc.

## ◆ sigMessageAvailable()

SignalProxy< void()> zyppng::AsyncQueueWatch::sigMessageAvailable | ( |  | ) |

Definition at line 90 of file asyncqueue.cc.

## ◆ onFdReady()

void zyppng::AsyncQueueWatch::onFdReady | ( | int | fd,
|  | int | events )
| overridevirtual

Called by the

See also
  EventDispatcher when activity was detected on a registered fd. The events are set according to the activity on the file descriptor.

Implements zyppng::AbstractEventSource.

Definition at line 95 of file asyncqueue.cc.

## ◆ onSignal()

void zyppng::AsyncQueueWatch::onSignal | ( | int | signal | ) |
| overridevirtual

Called when a event source has registered to receive unix signals

Note
  this is not supported yet

Implements zyppng::AbstractEventSource.

Definition at line 105 of file asyncqueue.cc.

The documentation for this class was generated from the following files:

- zypp-core/ng/thread/asyncqueue.h
- zypp-core/ng/thread/asyncqueue.cc